Subject: Re: [net-next PATCH v2 06/15] dt-bindings: net: dsa: qca8k: document rgmii_1_8v bindings

From: Andrew Lunn <[email-masked]>
Date: Sat, 9 Oct 2021 19:29:18 +0200

> > Are ipq8065 & ipq8064 SoCs which the switch is embedded into? So you
> > could look for the top level compatible and set these regulators based
> > on that. No DT property needed.
> > 
> >    Andrew
> 
> The switch is still external for these 2 SoC. If we really want, yes we
> can follow that route and sets only for the 2 SoC. (Considering ipq8065
> is still not present, can I add it anyway in the qca8k code? Will for
> sure propose the ipq8065 dtsi today)

It seems like this is less error prone. If the properties really are
needed, because somebody creates a board with swapped SoC and Switch,
the properties can be added later.

    Andrew